#include "Game.h"
#include <iostream>

using std::cerr;
using std::cout;
using std::flush;
using std::cin;
using std::endl;

int main (int argc, char *argv[])
{
  try
  {
    Game oGame;

    int iNPlayers = 0;
    do
    {
      char cAns;
      cout << "Add a player? " << flush;
      cin >> cAns;
      if ((cAns == 'y') || (cAns == 'Y'))
      {
        string oStrName;
        cout << "Player name? " << flush;
        cin >> oStrName;
        cout << "Player " << (char) ('a' + iNPlayers) << " is called "
          << oStrName << endl;
        oGame.AddPlayer((char) ('a' + iNPlayers), oStrName);
        
        iNPlayers++;
      }
      else
      {
        break;
      }
    }
    while (iNPlayers < 6);

    oGame.Start();

    while (1)
    {
      try
      {
        cout << oGame.GetCurrPlayer().GetPName() << "'s move: " << flush;
        int iAns;
        cin >> iAns;

        oGame.Play(iAns);
      }
      catch (GameStartEx& rErr)
      {
        cerr << rErr.what() << endl;
      }
      catch (OverThrowEx& rErr)
      {
        cerr << rErr.what() << endl;
      }
    }
  }
  /*catch (BadPosEx &rErr)
  {
    cerr << rErr.what() << " : " << rErr.GetPos() << endl;
  }*/
  catch (runtime_error& rErr)
  {
    cerr << rErr.what() << endl;
    return -1;
  }
}
